module.exports = {
  experimental: { esmExternals: "loose" },
  async redirects() {
    return [{ source: "/", destination: "/admin", permanent: true }];
  },
  async rewrites() {
    return [
      /*
      {
        source: "/api/v1/:path*",
        destination: "http://localhost:3001/api/:path*",
      },
*/
      {
        source: "/api/v1/:path*",
        destination: "/api/proxy/:path*",
      },
      {
        source: "/graphql",
        destination: "/api/graphql",
      },
    ];
  },
};
